"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'keepfriends',
    name: 'Keep Friends',
    description: 'Keep Friends is a CHINESE Private Torrent Tracker for HD MOVIES / TV',
    language: 'zh-CN',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://pt.keepfrds.com/'],
    caps: {
        categorymappings: [
            { id: '401', cat: 'Movies', desc: 'Movies/电影' },
            { id: '301', cat: 'Movies', desc: 'Movie Packs/电影(合集)' },
            { id: '404', cat: 'TV/Documentary', desc: 'Documentaries/纪录片' },
            {
                id: '304',
                cat: 'TV/Documentary',
                desc: 'Documentary Packs/纪录片(合集)',
            },
            { id: '405', cat: 'TV/Anime', desc: 'Animations/动漫' },
            { id: '305', cat: 'TV/Anime', desc: 'Animation Packs/动漫(合集)' },
            { id: '402', cat: 'TV', desc: 'TV Series/剧集' },
            { id: '302', cat: 'TV', desc: 'TV Serie Packs/剧集(合集)' },
            { id: '403', cat: 'TV', desc: 'TV Shows/综艺' },
            { id: '303', cat: 'TV', desc: 'TV Show Packs/综艺(合集)' },
            { id: '407', cat: 'TV/Sport', desc: 'Sports/体育' },
            { id: '307', cat: 'TV/Sport', desc: 'Sport Packs/体育(合集)' },
            { id: '406', cat: 'Audio/Video', desc: 'MusicVideo/音乐录影带' },
            {
                id: '306',
                cat: 'Audio/Video',
                desc: 'MusicVideo Packs/音乐录影带(合集)',
            },
            { id: '408', cat: 'Audio', desc: 'Music/音乐' },
            { id: '308', cat: 'Audio', desc: 'Music Packs/音乐(合集)' },
            { id: '409', cat: 'Other', desc: 'Misc/其他' },
            { id: '309', cat: 'Other', desc: 'Misc Packs/其他(合集)' },
            { id: '300', cat: 'Other', desc: 'Recycle Bin/回收站' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: '2facode', type: 'text', label: '2FA code' },
        {
            name: 'info_2fa',
            type: 'info',
            label: 'About 2FA code',
            default: 'Only fill in the <b>2FA code</b> box if you have enabled <b>2FA</b> on the KeepFriends Web Site. Otherwise just leave it empty.',
        },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'english_title',
            type: 'checkbox',
            label: 'Use English titles instead of Chinese ones (when available).',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '4': 'created', '5': 'size', '7': 'seeders', '10': 'title' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            token: '{{ .Config.2facode }}',
            logout: '',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("失败"))' }],
        test: { path: 'index.php', selector: 'a[href*="logout.php"]' },
    },
    search: {
        paths: [{ path: 'torrents.php' }],
        inputs: {
            $raw: '{{ range .Categories }}cat{{.}}=1&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}',
            incldead: 0,
            spstate: '{{ if .Config.freeleech }}2{{ else }}0{{ end }}',
            search_area: '{{ if .Query.IMDBID }}4{{ else }}0{{ end }}',
            search_mode: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.torrents > tbody > tr:has(table.torrentname)',
        },
        fields: {
            category: {
                selector: 'a[href^="?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title_raw: {
                optional: true,
                selector: 'a[title][href^="details.php?id="]',
                attribute: 'title',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            imdb: {
                optional: true,
                selector: 'a[href*="imdb.com/title/tt"]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-child(4):not(:has(span))',
                optional: true,
                filters: [
                    { name: 'append', args: ' +08:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(5)' },
            seeders: { selector: 'td:nth-child(6)' },
            leechers: { selector: 'td:nth-child(7)' },
            grabs: { selector: 'td:nth-child(8)' },
            downloadvolumefactor: {
                case: {
                    'img.pro_free': 0,
                    'img.pro_free2up': 0,
                    'img.pro_50pctdown': 0.5,
                    'img.pro_50pctdown2up': 0.5,
                    'img.pro_30pctdown': 0.3,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img.pro_50pctdown2up': 2,
                    'img.pro_free2up': 2,
                    'img.pro_2up': 2,
                    '*': 1,
                },
            },
            description: { selector: 'td:nth-child(2)', remove: 'a, img' },
            title_english: {
                selector: 'table.torrentname > tbody > tr > td.embedded',
            },
            title: {
                text: '{{ if and .Config.english_title .Result.title_english }}{{ .Result.title_english }}{{ else }}{{ .Result.title_raw }}{{ end }}',
            },
        },
    },
    source: 'jackett',
};
