"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'monova',
    name: 'Monova',
    description: 'Monova is a Public torrent index.',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    followredirect: true,
    links: [
        'https://monova.org/',
        'https://monova.to/',
        'https://monova.unblockit.lat/',
        'https://monova.unblocked.rest/',
    ],
    legacylinks: [
        'https://monova.unblockninja.com/',
        'https://monova.unblockit.pro/',
        'https://monova.unblockit.one/',
        'https://monova.black-mirror.xyz/',
        'https://monova.unblocked.casa/',
        'https://monova.proxyportal.fun/',
        'https://monova.uk-unblock.xyz/',
        'https://monova.ind-unblock.xyz/',
        'https://monova.unblockit.me/',
        'https://monova.unblockit.pw/',
        'https://monova.unblocked.bar/',
        'https://monova.proxyportal.pw/',
        'https://monova.uk-unblock.pro/',
        'https://monova.unblockit.id/',
    ],
    caps: {
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
        categorymappings: [
            { id: 'venus-mars', cat: 'XXX' },
            { id: 'video-camera', cat: 'Movies' },
            { id: 'music', cat: 'Audio' },
            { id: 'book', cat: 'Books' },
            { id: 'gamepad', cat: 'PC/Games' },
            { id: 'cog', cat: 'PC/0day' },
            { id: 'list', cat: 'Other' },
            { id: 'picture-o', cat: 'Other/Misc' },
        ],
    },
    settings: [],
    search: {
        paths: [
            {
                path: '{{if .Keywords}}search?term={{.Keywords}}{{else}}video{{end}}',
            },
            {
                path: '{{ if .Keywords }}search?term={{ .Keywords }}&{{ else }}video?{{end}}page=2',
            },
            {
                path: '{{ if .Keywords }}search?term={{ .Keywords }}&{{ else }}video?{{end}}page=3',
            },
            {
                path: '{{ if .Keywords }}search?term={{ .Keywords }}&{{ else }}video?{{end}}page=4',
            },
        ],
        keywordsfilters: [
            {
                name: 're_replace',
                args: ['(?:^|\\s)[_\\+\\/\\.\\-\\(\\)]*[\\S]{0,3}[_\\+\\/\\.\\-\\(\\)]*(?:\\s|$)', ' '],
            },
        ],
        rows: {
            selector: 'tr.desktop:not(tr[class="desktop  success"])',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            title: { selector: 'td.torrent_name a' },
            category: {
                selector: 'td.torrent_name i',
                attribute: 'class',
                filters: [{ name: 'replace', args: ['fa fa-', ''] }],
            },
            details: { selector: 'td.torrent_name a', attribute: 'href' },
            _magnetfilename: {
                text: '{{ .Result.title }}',
                filters: [{ name: 'validfilename' }, { name: 'urlencode' }],
            },
            magnet: {
                selector: 'td.torrent_name a',
                attribute: 'href',
                filters: [
                    { name: 'regexp', args: '([0-9A-Fa-f]{40})' },
                    { name: 'prepend', args: 'magnet:?xt=urn:btih:' },
                    {
                        name: 'append',
                        args: '&dn={{ .Result._magnetfilename }}.torrent',
                    },
                    {
                        name: 'append',
                        args: '&tr=udp://tracker.opentrackr.org:1337&tr=udp://tracker.coppersurfer.tk:6969&tr=udp://tracker.internetwarriors.net:1337&tr=udp://tracker.leechers-paradise.org:6969',
                    },
                ],
            },
            size: {
                optional: true,
                selector: 'td.center-align',
                filters: [{ name: 'replace', args: ['N/A', '500 MB'] }],
            },
            seeders: { text: 1 },
            leechers: { text: 1 },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
            date: {
                optional: true,
                selector: 'td.torrent_name',
                remove: 'a',
                filters: [
                    { name: 'replace', args: ['added ', ''] },
                    { name: 'replace', args: [' ago.*$', ''] },
                    { name: 'replace', args: ['min.', 'minutes'] },
                    { name: 'timeago' },
                ],
            },
        },
    },
    source: 'jackett',
};
