"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'theunknown',
    name: 'The-Unknown',
    description: 'The-Unknown is a Private site for TV / MOVIES / GENERAL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://the-unknown.xyz/'],
    caps: {
        categorymappings: [
            { id: '14', cat: 'Movies/3D', desc: 'Movies 3D' },
            { id: '15', cat: 'Movies/BluRay', desc: 'Movies Blu-Ray' },
            { id: '16', cat: 'Movies', desc: 'Movies Classics' },
            { id: '17', cat: 'Movies/DVD', desc: 'Movies DVD-R' },
            { id: '18', cat: 'Movies/Foreign', desc: 'Movies Foreign' },
            { id: '19', cat: 'Movies/HD', desc: 'Movies HD' },
            { id: '20', cat: 'Movies', desc: 'Movies Packs' },
            { id: '21', cat: 'Movies/SD', desc: 'Movies Screeners/Cams' },
            { id: '22', cat: 'Movies/HD', desc: 'Movies x264' },
            { id: '23', cat: 'Movies/HD', desc: 'Movies x265' },
            { id: '24', cat: 'Movies/SD', desc: 'Movies xvid' },
            { id: '48', cat: 'TV/Documentary', desc: 'Documentary' },
            { id: '50', cat: 'TV/Anime', desc: 'Animated' },
            { id: '26', cat: 'TV', desc: 'TV Packs' },
            { id: '27', cat: 'TV/HD', desc: 'TV x264' },
            { id: '28', cat: 'TV/HD', desc: 'TV x265' },
            { id: '29', cat: 'TV/SD', desc: 'TV xvid' },
            { id: '31', cat: 'Audio', desc: 'Music Discography' },
            { id: '32', cat: 'Audio/Lossless', desc: 'Music FLAC' },
            { id: '33', cat: 'Audio/MP3', desc: 'Music MP3' },
            { id: '34', cat: 'Audio', desc: 'Music Packs' },
            { id: '35', cat: 'Audio/Video', desc: 'Music Videos' },
            { id: '37', cat: 'PC', desc: 'Apps Linux' },
            { id: '38', cat: 'PC/Mac', desc: 'Apps MAC' },
            { id: '39', cat: 'PC/0day', desc: 'Apps Windows' },
            { id: '40', cat: 'Books/Ebook', desc: 'Ebooks' },
            { id: '41', cat: 'Other', desc: 'MISC' },
            { id: '43', cat: 'Console/NDS', desc: 'Games Nintendo' },
            { id: '44', cat: 'PC/Games', desc: 'Games PC' },
            { id: '45', cat: 'Console/PSP', desc: 'Games PlayStation' },
            { id: '46', cat: 'Console/Xbox', desc: 'Games XBOX' },
            { id: '47', cat: 'XXX', desc: 'XXX' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '3',
            options: { '2': 'title', '3': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: '2',
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile. The default is <i>15</i>.',
        },
    ],
    login: {
        path: 'index.php?page=login',
        method: 'post',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [{ selector: 'span[style="color:#FF0000;"]' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'index.php' }],
        inputs: {
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}',
            category: '{{ range .Categories }}{{.}};{{end}}',
            page: 'torrents',
            active: 0,
            options: '{{ if .Query.IMDBID }}1{{ else }}0{{ end }}',
            order: '{{ .Config.sort }}',
            by: '{{ .Config.type }}',
        },
        rows: {
            selector: 'div.b-content > table > tbody > tr > td > table.lista > tbody > tr:has(a[href^="index.php?page=torrent-details&id="])',
        },
        fields: {
            category: {
                selector: 'a[href^="index.php?page=torrents&category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
            },
            details: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-last-child(5)',
                filters: [
                    { name: 'append', args: ' -07:00' },
                    { name: 'dateparse', args: '02/01/2006 -07:00' },
                ],
            },
            seeders: { selector: 'td:nth-last-child(4)' },
            leechers: { selector: 'td:nth-last-child(3)' },
            grabs: {
                selector: 'td:nth-last-child(2)',
                filters: [{ name: 'replace', args: ['---', '0'] }],
            },
            size: { text: '512 MB' },
            downloadvolumefactor: { case: { '*': 1 } },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
