"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'witchhunter',
    name: 'Witch-Hunter',
    description: 'Witch-Hunter (Demon-Site) is a HUNGARIAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'hu-HU',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://witch-hunter.eu/'],
    caps: {
        categorymappings: [
            { id: '5', cat: 'Movies/BluRay', desc: 'Film/BDRip/Eng' },
            { id: '6', cat: 'Movies/BluRay', desc: 'Film/BDRip/Hun' },
            { id: '1', cat: 'Movies/SD', desc: 'Film/Cam/Eng' },
            { id: '2', cat: 'Movies/SD', desc: 'Film/Cam/Hun' },
            { id: '8', cat: 'Movies/DVD', desc: 'Film/DVD/Eng' },
            { id: '7', cat: 'Movies/DVD', desc: 'Film/DVD/Hun' },
            { id: '10', cat: 'Movies/DVD', desc: 'Film/DVD5/Eng' },
            { id: '9', cat: 'Movies/DVD', desc: 'Film/DVD5/Hun' },
            { id: '12', cat: 'Movies/DVD', desc: 'Film/DVD9/Eng' },
            { id: '11', cat: 'Movies/DVD', desc: 'Film/DVD9/Hun' },
            { id: '16', cat: 'Movies/HD', desc: 'Film/HD1080P/Eng' },
            { id: '15', cat: 'Movies/HD', desc: 'Film/HD1080P/Hun' },
            { id: '14', cat: 'Movies/HD', desc: 'Film/HD720P/Eng' },
            { id: '13', cat: 'Movies/HD', desc: 'Film/HD720P/Hun' },
            { id: '18', cat: 'Movies/UHD', desc: 'Film/UHD/Eng' },
            { id: '17', cat: 'Movies/UHD', desc: 'Film/UHD/Hun' },
            { id: '4', cat: 'Movies/SD', desc: 'Film/Xvid/Eng' },
            { id: '3', cat: 'Movies/SD', desc: 'Film/Xvid/Hun' },
            { id: '23', cat: 'Audio/Audiobook', desc: 'Hangosköny' },
            { id: '19', cat: 'PC/Games', desc: 'Játék/ISO' },
            { id: '20', cat: 'PC/Games', desc: 'Játék/RIP' },
            { id: '24', cat: 'Other', desc: 'Képek' },
            { id: '21', cat: 'Books', desc: 'Könyv/Eng' },
            { id: '22', cat: 'Books', desc: 'Könyv/Hun' },
            { id: '35', cat: 'TV/Anime', desc: 'Mese/Eng' },
            { id: '36', cat: 'TV/Anime', desc: 'Mese/Hun' },
            { id: '25', cat: 'PC/Phone-Other', desc: 'Mobil' },
            { id: '30', cat: 'PC/ISO', desc: 'Programok/ISO' },
            { id: '31', cat: 'PC/0day', desc: 'Programok/RIP' },
            { id: '33', cat: 'TV', desc: 'Sorozat/Eng' },
            { id: '32', cat: 'TV', desc: 'Sorozat/Hun' },
            { id: '34', cat: 'XXX', desc: 'XXX/Filmek' },
            { id: '39', cat: 'XXX', desc: 'XXX/Képek' },
            { id: '29', cat: 'Audio/Lossless', desc: 'Zene/FLAC/Eng' },
            { id: '28', cat: 'Audio/Lossless', desc: 'Zene/FLAC/Hun' },
            { id: '27', cat: 'Audio/MP3', desc: 'Zene/MP3/Eng' },
            { id: '26', cat: 'Audio/MP3', desc: 'Zene/MP3/Hun' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
        },
        error: [{ selector: 'td.embedded:contains("Sikertelen bejelentkezés!")' }],
        test: { path: 'letoltes.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'letoltes.php' }],
        keywordsfilters: [{ name: 're_replace', args: ['[^a-zA-Z0-9]+', '%'] }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: '{{ if .Config.freeleech }}3{{ else }}1{{ end }}',
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[width="800"] > tbody > tr:has(a[href^="details.php?id="])',
        },
        fields: {
            category: {
                selector: 'a[href^="letoltes.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            id: {
                selector: 'a[onclick]',
                attribute: 'onclick',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            title: { selector: 'a[onclick]', attribute: 'title' },
            details: { text: 'details.php?id={{ .Result.id }}' },
            download: { text: 'download.php?id={{ .Result.id }}' },
            imdb: {
                optional: true,
                selector: 'a[href*="imdb.com/title/tt"]',
                attribute: 'href',
            },
            banner: {
                optional: true,
                selector: 'a[onmouseover]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.*?) width' }],
            },
            date: {
                selector: 'small',
                remove: 'font',
                filters: [
                    { name: 'replace', args: [' ', ' '] },
                    { name: 'append', args: ' +02:00' },
                    { name: 'dateparse', args: '2006-01-02 15:04:05 -07:00' },
                ],
            },
            files: { selector: 'td:nth-last-child(7)' },
            size: { selector: 'td:nth-last-child(5)' },
            grabs: { selector: 'td:nth-last-child(4)' },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'font:contains("x0")': 0, '*': 1 },
            },
            uploadvolumefactor: { case: { 'font:contains("x2")': 2, '*': 1 } },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
